Bug 204225 - x11-servers/xorg-server crashes with segfault when creating new window
Summary: x11-servers/xorg-server crashes with segfault when creating new window
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: crash, needs-qa
Depends on:
Blocks:
 
Reported: 2015-11-02 14:07 UTC by Philip Homburg
Modified: 2018-03-09 12:35 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
X server log file (15.84 KB, text/plain)
2015-11-02 14:07 UTC, Philip Homburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Homburg 2015-11-02 14:07:07 UTC
Created attachment 162707 [details]
X server log file

After creating an X session with a few xterms, firefox, vtwm, pidgin, creating a new window will often crash the X server. This never happened in the previous version.

Hardware is a thinkpad x201 with integrated intel video card.

Stack trace from gdb:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 803406400 (LWP 100067/Xorg)]
0x00000008012b1935 in _pixman_internal_only_get_implementation ()
   from /usr/local/lib/libpixman-1.so.0
(gdb) where
#0  0x00000008012b1935 in _pixman_internal_only_get_implementation ()
   from /usr/local/lib/libpixman-1.so.0
#1  0x000000080128f397 in pixman_image_get_format ()
   from /usr/local/lib/libpixman-1.so.0
#2  0x00000008012472c6 in pixman_blt () from /usr/local/lib/libpixman-1.so.0
#3  0x0000000805c606b8 in fbCopyNtoN ()
   from /usr/local/lib/xorg/modules/libfb.so
#4  0x000000000057dc5f in miCopyRegion ()
#5  0x000000000057dfea in miDoCopy ()
#6  0x0000000805c61294 in fbCopyArea ()
   from /usr/local/lib/xorg/modules/libfb.so
#7  0x00000008058011b6 in ?? ()
   from /usr/local/lib/xorg/modules/drivers/intel_drv.so
#8  0x000000000051fe8e in DamageReportDamage ()
#9  0x00000000004ccaa9 in CompositeRegisterImplicitRedirectionException ()
#10 0x00000000004cc899 in CompositeRegisterImplicitRedirectionException ()
#11 0x00000000004ca1a6 in CompositeRegisterImplicitRedirectionException ()
#12 0x0000000000467b05 in MapWindow ()
#13 0x000000000043522b in ProcBadRequest ()
#14 0x00000000004345e4 in UpdateCurrentTimeIf ()
#15 0x000000000043de97 in remove_fs_handlers ()
#16 0x000000000042919f in _start ()
---Type <return> to continue, or q <return> to quit---
#17 0x000000080081d000 in ?? ()
#18 0x0000000000000000 in ?? ()
(gdb) 

I attached the X server log.
Comment 1 Philip Homburg 2015-11-02 14:53:08 UTC
Forgot to mention, FreeBSD version: 10.2-RELEASE-p6 (10.2-RELEASE #0 r286666: Wed Aug 12 15:26:37 UTC 2015     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64)
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-11-02 19:37:48 UTC
> (EE) intel(0): Failed to submit batch buffer, expect rendering corruption: 
> Unknown error: 512.

Already fixed in https://svnweb.freebsd.org/ports?view=revision&revision=400652
(discussed in bug 204174)
Comment 3 Philip Homburg 2015-11-02 20:49:27 UTC
Yes, that fixes the issue.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-12 23:41:24 UTC
Seems fixed. I think it could closed.